Bug 13521 - Auth.pm code issues
Summary: Auth.pm code issues
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Authentication (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Whiteboard:
Keywords: rel_3_14_candidate
Depends on: 13499
Blocks: 12548 13503 12954
  Show dependency treegraph
 
Reported: 2015-01-06 06:35 UTC by Martin Renvoize
Modified: 2016-12-05 21:23 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13521: Removed superflous semicolon (979 bytes, patch)
2015-01-06 06:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 13521: Add missing semicolon (1.12 KB, patch)
2015-01-06 06:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 13521: Removed superflous semicolon (1.01 KB, patch)
2015-01-18 05:25 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 13521: Add missing semicolon (1.17 KB, patch)
2015-01-18 05:26 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 13521: Removed superflous semicolon (1.07 KB, patch)
2015-01-20 15:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13521: Add missing semicolon (1.23 KB, patch)
2015-01-20 15:44 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2015-01-06 06:35:30 UTC
Whilst working on bug #13499 a number of minor code issues were highlighted by perltidy.

I'll collect patches in here to fix various issues
Comment 1 Martin Renvoize 2015-01-06 06:57:28 UTC Comment hidden (obsolete)
Comment 2 Martin Renvoize 2015-01-06 06:57:30 UTC Comment hidden (obsolete)
Comment 3 Martin Renvoize 2015-01-06 07:14:29 UTC
I believe that's all the semicolin issues caught now..
Comment 4 Chris Cormack 2015-01-18 05:25:50 UTC Comment hidden (obsolete)
Comment 5 Chris Cormack 2015-01-18 05:26:08 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2015-01-20 15:43:58 UTC
Created attachment 35410 [details] [review]
Bug 13521: Removed superflous semicolon

Removed an uneeded semicolon from the end of an 'if' block. This should
not affect operation of the script.

Note: With Bug 13499 we did a non-destructive perltidy, as such we only
affected indenting and whitespace to maintain blame history. However, a
number of minor code issues were also highlighted, in this series of
patches I hope to correct other minor style issues.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 7 Jonathan Druart 2015-01-20 15:44:03 UTC
Created attachment 35411 [details] [review]
Bug 13521: Add missing semicolon

Add a missing semicolon to the end of a template variable assignment
line. This patch should not affect operation.

Note: With Bug 13499 we did a non-destructive perltidy, as such we only
affected indenting and whitespace to maintain blame history. However, a
number of minor code issues were also highlighted, in this series of
patches I hope to correct other minor style issues.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 8 Tomás Cohen Arazi 2015-01-24 19:28:45 UTC
Patches pushed to master.

Thanks Martin!
Comment 9 Chris Cormack 2015-02-02 18:45:38 UTC
Pushed to 3.18.x will be in 3.18.4
Comment 10 Mason James 2015-04-09 02:23:02 UTC
Pushed to 3.16.x, will be in 3.16.10
Comment 11 Fridolin SOMERS 2015-06-18 07:31:33 UTC
Pushed to 3.14.x, will be in 3.14.16